mod ast;
mod parse;
mod assembler;
mod tokeniser;

fn main() {
    let filename: &str = &std::env::args().collect::<Vec<String>>()[1];

    let contents = std::fs::read_to_string(filename).expect(&format!("No file named {}", filename));

    let tokens = tokeniser::tokenise(contents);

    let functions = dbg!(parse::ast(tokens));

    let assembly = ast::to_assembly(functions);

    println!("{}", assembly);
}
